diff --git a/tests/test_okina.py b/tests/test_okina.py
index 260fe14c..bd7612ec 100644
--- a/tests/test_okina.py
+++ b/tests/test_okina.py
@@ -3,9 +3,9 @@ import json
 
 import mock
 import pytest
-import utils
 from django.contrib.contenttypes.models import ContentType
 
+import tests.utils
 from passerelle.apps.okina.models import Okina
 from passerelle.base.models import AccessRight, ApiUser
 
@@ -1647,10 +1647,10 @@ def okina(db):
 
 
 def test_okina_cities(app, okina):
-    endpoint = utils.generic_endpoint_url('okina', 'cities', slug=okina.slug)
+    endpoint = tests.utils.generic_endpoint_url('okina', 'cities', slug=okina.slug)
     assert endpoint == '/okina/test/cities'
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=CITIES, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=CITIES, status_code=200)
         resp = app.get(endpoint, status=200)
         assert requests_get.call_count == 1
         assert requests_get.call_args[0][0] == 'https://okina.example.net/b2b/cities'
@@ -1663,7 +1663,7 @@ def test_okina_cities(app, okina):
         assert resp.json['data'][0]['text'] == 'ARDENTES (36120)'
         assert resp.json['data'][0]['lat'] is None
 
-        requests_get.return_value = utils.FakedResponse(content=CITIES_NEW, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=CITIES_NEW, status_code=200)
         resp = app.get(endpoint, status=200)
         assert requests_get.call_count == 2
         assert 'data' in resp.json
@@ -1676,10 +1676,10 @@ def test_okina_cities(app, okina):
 
 
 def test_okina_classes(app, okina):
-    endpoint = utils.generic_endpoint_url('okina', 'classes', slug=okina.slug)
+    endpoint = tests.utils.generic_endpoint_url('okina', 'classes', slug=okina.slug)
     assert endpoint == '/okina/test/classes'
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=CLASSES, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=CLASSES, status_code=200)
         resp = app.get(endpoint, status=200)
         assert requests_get.call_count == 1
         assert requests_get.call_args[0][0] == 'https://okina.example.net/b2b/classes'
@@ -1690,11 +1690,11 @@ def test_okina_classes(app, okina):
 
 
 def test_okina_institutions(app, okina):
-    endpoint = utils.generic_endpoint_url('okina', 'institutions', slug=okina.slug)
+    endpoint = tests.utils.generic_endpoint_url('okina', 'institutions', slug=okina.slug)
     assert endpoint == '/okina/test/institutions'
     with mock.patch('passerelle.utils.Request.get') as requests_get:
         for content in (INSTITUTIONS, INSTITUTIONS_NEW):
-            requests_get.return_value = utils.FakedResponse(content=content, status_code=200)
+            requests_get.return_value = tests.utils.FakedResponse(content=content, status_code=200)
             resp = app.get(endpoint, status=200)
             assert requests_get.call_args[0][0] == 'https://okina.example.net/b2b/institutions'
             assert resp.json['err'] == 0
@@ -1725,10 +1725,10 @@ def test_okina_institutions(app, okina):
 
 
 def test_okina_search(app, okina):
-    endpoint = utils.generic_endpoint_url('okina', 'search', slug=okina.slug)
+    endpoint = tests.utils.generic_endpoint_url('okina', 'search', slug=okina.slug)
     assert endpoint == '/okina/test/search'
     with mock.patch('passerelle.utils.Request.post') as requests_post:
-        requests_post.return_value = utils.FakedResponse(content=SEARCH, status_code=200)
+        requests_post.return_value = tests.utils.FakedResponse(content=SEARCH, status_code=200)
 
         # refuse anonymous access
         resp = app.get(endpoint + '?lat=46.828652&lon=1.701463&institution=277', status=403)
@@ -1771,10 +1771,10 @@ def test_okina_search(app, okina):
 
 
 def test_okina_stops_area(app, okina):
-    endpoint = utils.generic_endpoint_url('okina', 'stop-areas', slug=okina.slug)
+    endpoint = tests.utils.generic_endpoint_url('okina', 'stop-areas', slug=okina.slug)
     assert endpoint == '/okina/test/stop-areas'
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=STOPS, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=STOPS, status_code=200)
         resp = app.get(endpoint + '/from-city/36005/to-institution/276/', status=200)
         assert (
             requests_get.call_args[0][0]
@@ -1787,10 +1787,10 @@ def test_okina_stops_area(app, okina):
 
 
 def test_okina_ods(app, okina):
-    endpoint = utils.generic_endpoint_url('okina', 'origin-destinations', slug=okina.slug)
+    endpoint = tests.utils.generic_endpoint_url('okina', 'origin-destinations', slug=okina.slug)
     assert endpoint == '/okina/test/origin-destinations'
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=ODS, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=ODS, status_code=200)
         resp = app.get(endpoint, status=200)
         assert requests_get.call_count == 1
         assert requests_get.call_args[0][0] == 'https://okina.example.net/b2b/ods'
@@ -1801,7 +1801,7 @@ def test_okina_ods(app, okina):
         assert resp.json['data'][0]['identifier'] == 'SYNDICAT ARDENTES 4 (semaine Aller)'
         assert resp.json['data'][0]['vehicle_journey_id'] == '84'
 
-        requests_get.return_value = utils.FakedResponse(content=ODS, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=ODS, status_code=200)
         resp = app.get(endpoint + '/to-institution/276/', status=200)
         assert requests_get.call_args[0][0] == 'https://okina.example.net/b2b/ods/institution/276'
         assert resp.json['err'] == 0
@@ -1811,7 +1811,7 @@ def test_okina_ods(app, okina):
         assert resp.json['data'][0]['identifier'] == 'SYNDICAT ARDENTES 4 (semaine Aller)'
         assert resp.json['data'][0]['vehicle_journey_id'] == '84'
 
-        requests_get.return_value = utils.FakedResponse(content=ODS_LINES, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=ODS_LINES, status_code=200)
         resp = app.get(endpoint + '/from-stop-area/3282/to-institution/276/', status=200)
         assert (
             requests_get.call_args[0][0] == 'https://okina.example.net/b2b/ods/institution/276/stop-area/3282'
@@ -1836,7 +1836,7 @@ def test_okina_ods(app, okina):
         assert resp.json['data'][2]['lines'][1]['id'] == '23'
         assert resp.json['data'][2]['lines'][1]['text'] == 'LIGNE 23'
 
-        requests_get.return_value = utils.FakedResponse(content=ODS_FULL, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=ODS_FULL, status_code=200)
         resp = app.get(endpoint + '/from-city/36005/to-institution/276/', status=200)
         assert (
             requests_get.call_args[0][0]
@@ -1851,7 +1851,7 @@ def test_okina_ods(app, okina):
         assert resp.json['data'][0]['identifier'] == 'SYNDICAT ARDENTES 4 (semaine Aller)'
         assert resp.json['data'][0]['vehicle_journey_id'] == '84'
 
-        requests_get.return_value = utils.FakedResponse(content=ODS_FULL, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=ODS_FULL, status_code=200)
         resp = app.get(endpoint + '/from-city/36005/', status=200)
         assert requests_get.call_args[0][0] == 'https://okina.example.net/b2b/ods/subscriberCity/36005'
         assert resp.json['err'] == 0
@@ -1865,10 +1865,10 @@ def test_okina_ods(app, okina):
 
 
 def test_okina_topology(app, okina):
-    endpoint = utils.generic_endpoint_url('okina', 'topology', slug=okina.slug)
+    endpoint = tests.utils.generic_endpoint_url('okina', 'topology', slug=okina.slug)
     assert endpoint == '/okina/test/topology'
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=LINES, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=LINES, status_code=200)
         resp = app.get(endpoint + '/lines/', status=200)
         assert requests_get.call_args[0][0] == 'https://okina.example.net/b2b/topology/lines'
         assert resp.json['err'] == 0
@@ -1876,7 +1876,7 @@ def test_okina_topology(app, okina):
         assert resp.json['data'][0]['id'] == '45'
         assert resp.json['data'][0]['text'] == '019 - 02 - VELLES LYCEES DE CHATEAUROUX'
 
-        requests_get.return_value = utils.FakedResponse(content=NETWORKS, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=NETWORKS, status_code=200)
         resp = app.get(endpoint + '/networks/', status=200)
         assert requests_get.call_args[0][0] == 'https://okina.example.net/b2b/topology/networks'
         assert resp.json['err'] == 0
@@ -1884,7 +1884,7 @@ def test_okina_topology(app, okina):
         assert resp.json['data'][0]['id'] == '2'
         assert resp.json['data'][0]['text'] == u'réseau scolaire'
 
-        requests_get.return_value = utils.FakedResponse(content=VEHICLE_JOURNEYS, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=VEHICLE_JOURNEYS, status_code=200)
         resp = app.get(endpoint + '/vehicle-journeys/', status=200)
         assert requests_get.call_args[0][0] == 'https://okina.example.net/b2b/topology/vehicle-journeys'
         assert resp.json['err'] == 0
@@ -1905,7 +1905,9 @@ def test_okina_errors(app, okina):
             (400, '[{"message": "bad request"}]'),
             (500, '<h1>Crash</h1>'),
         ):
-            requests_get.return_value = utils.FakedResponse(content=response[1], status_code=response[0])
+            requests_get.return_value = tests.utils.FakedResponse(
+                content=response[1], status_code=response[0]
+            )
             resp = app.get('/okina/test/cities', status=200)
             assert resp.json['err'] == 1
             if resp.json['data'] and 'status_code' in resp.json['data']:
@@ -1913,7 +1915,7 @@ def test_okina_errors(app, okina):
 
         # "normal" 401/403 response, ie problem with login/password
         for status_code in (401, 403):
-            requests_get.return_value = utils.FakedResponse(
+            requests_get.return_value = tests.utils.FakedResponse(
                 content='''{"message": "Invalid credentials",
                     "code": 4, "status" : %d}'''
                 % status_code,
@@ -1927,7 +1929,7 @@ def test_okina_errors(app, okina):
 def test_okina_suscribe(app, okina):
 
     for service in ('subscriber', 'subscription'):
-        endpoint = utils.generic_endpoint_url('okina', service, slug=okina.slug)
+        endpoint = tests.utils.generic_endpoint_url('okina', service, slug=okina.slug)
         assert endpoint == '/okina/test/%s' % service
         with mock.patch('passerelle.utils.Request.get') as requests_get:
             resp = app.post(endpoint, status=403)
@@ -1941,7 +1943,7 @@ def test_okina_suscribe(app, okina):
         codename='can_access', apiuser=api, resource_type=obj_type, resource_pk=okina.pk
     )
     for service in ('subscriber', 'subscription'):
-        endpoint = utils.generic_endpoint_url('okina', service, slug=okina.slug)
+        endpoint = tests.utils.generic_endpoint_url('okina', service, slug=okina.slug)
         assert endpoint == '/okina/test/%s' % service
         with mock.patch('passerelle.utils.Request.post') as requests_get:
             resp = app.post(endpoint, status=400)  # no payload
@@ -1956,16 +1958,16 @@ def test_okina_suscribe(app, okina):
             assert resp.json['err_class'] == 'passerelle.utils.jsonresponse.APIError'
             assert resp.json['err_desc'] == 'payload must be a dict'
 
-            requests_get.return_value = utils.FakedResponse(content='{"foo":"bar"}', status_code=200)
+            requests_get.return_value = tests.utils.FakedResponse(content='{"foo":"bar"}', status_code=200)
             resp = app.post_json(endpoint, params={'x': 'y'})
             assert requests_get.call_count == 1
             assert resp.json['err'] == 0
             assert resp.json['data'] == {'foo': 'bar'}
 
     # multiple subscriptions
-    endpoint = utils.generic_endpoint_url('okina', 'subscription', slug=okina.slug)
+    endpoint = tests.utils.generic_endpoint_url('okina', 'subscription', slug=okina.slug)
     with mock.patch('passerelle.utils.Request.post') as requests_post:
-        requests_post.return_value = utils.FakedResponse(content='{"sub":"ok"}', status_code=200)
+        requests_post.return_value = tests.utils.FakedResponse(content='{"sub":"ok"}', status_code=200)
         resp = app.post_json(endpoint, params={'lineIds': '1 ,2, 3', 'foo': 'bar'})
         assert requests_post.call_count == 3
         assert json.loads(requests_post.call_args_list[0][1]['data']) == {'foo': 'bar', 'lineId': '1'}
@@ -1977,7 +1979,7 @@ def test_okina_suscribe(app, okina):
     # qrcode
     endpoint = '/okina/test/subscriber/123/qrcode'
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(
+        requests_get.return_value = tests.utils.FakedResponse(
             content='PNGfoo', headers={'Content-Type': 'image/png'}, status_code=200
         )
         resp = app.get(endpoint)
@@ -1985,7 +1987,7 @@ def test_okina_suscribe(app, okina):
         assert resp.headers['content-type'] == 'image/png'
         assert resp.content == b'PNGfoo'
 
-        requests_get.return_value = utils.FakedResponse(
+        requests_get.return_value = tests.utils.FakedResponse(
             content=QRCODE_400, headers={'Content-Type': 'application/json'}, status_code=400
         )
         resp = app.get(endpoint, status=200)
@@ -1995,7 +1997,7 @@ def test_okina_suscribe(app, okina):
             'Subscriber with ID 123 has no passcard number to generate qr code from.'
         )
 
-        requests_get.return_value = utils.FakedResponse(
+        requests_get.return_value = tests.utils.FakedResponse(
             content=QRCODE_404, headers={'Content-Type': 'application/json'}, status_code=404
         )
         resp = app.get(endpoint, status=200)
diff --git a/tests/test_opendatasoft.py b/tests/test_opendatasoft.py
index 1e2dde69..12aa52f7 100644
--- a/tests/test_opendatasoft.py
+++ b/tests/test_opendatasoft.py
@@ -19,13 +19,13 @@ import json
 
 import mock
 import pytest
-import utils
 from django.contrib.auth.models import User
 from requests.exceptions import ConnectionError
-from test_manager import login
 
+import tests.utils
 from passerelle.apps.opendatasoft.models import OpenDataSoft, Query
 from passerelle.utils import import_site
+from tests.test_manager import login
 
 pytestmark = pytest.mark.django_db
 
@@ -127,7 +127,7 @@ FAKED_CONTENT_ID_SEARCH = json.dumps(
 
 @pytest.fixture
 def connector():
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         OpenDataSoft.objects.create(
             slug='my_connector',
             service_url='http://www.example.net',
@@ -181,12 +181,12 @@ def test_export_import(query):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_search_empty_contents(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('opendatasoft', 'search', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opendatasoft', 'search', slug=connector.slug)
     assert endpoint == '/opendatasoft/my_connector/search'
 
     # error returned by opendadasoft server
     json_response = json.dumps({'error': "The query is invalid : Field 00 doesn't exist"})
-    mocked_get.return_value = utils.FakedResponse(content=json_response, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=json_response, status_code=200)
     resp = app.get(endpoint, status=200)
     assert resp.json['err']
     assert resp.json['err_desc'] == "The query is invalid : Field 00 doesn't exist"
@@ -194,7 +194,7 @@ def test_search_empty_contents(mocked_get, app, connector):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_search(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('opendatasoft', 'search', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opendatasoft', 'search', slug=connector.slug)
     assert endpoint == '/opendatasoft/my_connector/search'
     params = {
         'dataset': 'referentiel-adresse-test',
@@ -202,7 +202,7 @@ def test_search(mocked_get, app, connector):
         'sort': '-nom_rue',
         'limit': 3,
     }
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT_Q_SEARCH, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT_Q_SEARCH, status_code=200)
     resp = app.get(endpoint, params=params, status=200)
     assert mocked_get.call_args[1]['params'] == {
         'apikey': 'my_secret',
@@ -230,7 +230,7 @@ def test_search(mocked_get, app, connector):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_search_using_q(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('opendatasoft', 'search', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opendatasoft', 'search', slug=connector.slug)
     assert endpoint == '/opendatasoft/my_connector/search'
     params = {
         'dataset': 'referentiel-adresse-test',
@@ -239,7 +239,7 @@ def test_search_using_q(mocked_get, app, connector):
         'limit': '3',
         'q': "rue de l'aubepine",
     }
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT_Q_SEARCH, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT_Q_SEARCH, status_code=200)
     resp = app.get(endpoint, params=params, status=200)
     assert mocked_get.call_args[1]['params'] == {
         'apikey': 'my_secret',
@@ -267,14 +267,14 @@ def test_search_using_q(mocked_get, app, connector):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_search_using_id(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('opendatasoft', 'search', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opendatasoft', 'search', slug=connector.slug)
     assert endpoint == '/opendatasoft/my_connector/search'
     params = {
         'dataset': 'referentiel-adresse-test',
         'text_template': '{{numero}} {{nom_rue}} {{nom_commun}}',
         'id': '7cafcd5c692773e8b863587b2d38d6be82e023d8',
     }
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT_ID_SEARCH, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT_ID_SEARCH, status_code=200)
     resp = app.get(endpoint, params=params, status=200)
     assert mocked_get.call_args[1]['params'] == {
         'apikey': 'my_secret',
@@ -291,7 +291,7 @@ def test_query_q(mocked_get, app, query):
     params = {
         'limit': 3,
     }
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT_Q_SEARCH, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT_Q_SEARCH, status_code=200)
     resp = app.get(endpoint, params=params, status=200)
     assert mocked_get.call_args[1]['params'] == {
         'apikey': 'my_secret',
@@ -325,7 +325,7 @@ def test_query_q_using_q(mocked_get, app, query):
     params = {
         'q': "rue de l'aubepine",
     }
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT_Q_SEARCH, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT_Q_SEARCH, status_code=200)
     resp = app.get(endpoint, params=params, status=200)
     assert mocked_get.call_args[1]['params'] == {
         'apikey': 'my_secret',
@@ -359,7 +359,7 @@ def test_query_q_using_id(mocked_get, app, query):
     params = {
         'id': '7cafcd5c692773e8b863587b2d38d6be82e023d8',
     }
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT_ID_SEARCH, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT_ID_SEARCH, status_code=200)
     resp = app.get(endpoint, params=params, status=200)
     assert mocked_get.call_args[1]['params'] == {
         'apikey': 'my_secret',
@@ -437,7 +437,7 @@ def test_query_q_having_original_fields(mocked_get, app, query):
     content['records'][0]['fields']['text'] = 'original text'
     query.text_template = '{{id}} - {{original_id}} - {{original_text}}'
     query.save()
-    mocked_get.return_value = utils.FakedResponse(content=json.dumps(content), status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=json.dumps(content), status_code=200)
     resp = app.get(endpoint, params=params, status=200)
     assert resp.json['data'][0]['original_id'] == 'original id'
     assert resp.json['data'][0]['original_text'] == 'original text'
@@ -448,31 +448,31 @@ def test_query_q_having_original_fields(mocked_get, app, query):
 
 
 def test_call_search_errors(app, connector):
-    endpoint = utils.generic_endpoint_url('opendatasoft', 'search', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opendatasoft', 'search', slug=connector.slug)
     assert endpoint == '/opendatasoft/my_connector/search'
     url = connector.service_url + '/api/records/1.0/search/'
 
     # Connection error
     exception = ConnectionError('Remote end closed connection without response')
-    with utils.mock_url(url=url, exception=exception):
+    with tests.utils.mock_url(url=url, exception=exception):
         resp = app.get(endpoint)
     assert resp.json['err']
     assert resp.json['err_desc'] == 'OpenDataSoft error: Remote end closed connection without response'
 
     # API error, provides HTTP status code
-    with utils.mock_url(url=url, response='{"error": "Unknown dataset: foo"}', status_code=404):
+    with tests.utils.mock_url(url=url, response='{"error": "Unknown dataset: foo"}', status_code=404):
         resp = app.get(endpoint)
     assert resp.json['err']
     assert resp.json['err_desc'] == 'Unknown dataset: foo'
 
     # HTTP error
-    with utils.mock_url(url=url, response='not a json content', reason='Not Found', status_code=404):
+    with tests.utils.mock_url(url=url, response='not a json content', reason='Not Found', status_code=404):
         resp = app.get(endpoint)
     assert resp.json['err']
     assert 'OpenDataSoft error: 404 Client Error: Not Found' in resp.json['err_desc']
 
     # bad JSON response
-    with utils.mock_url(url=url, response='not a json content', status_code=200):
+    with tests.utils.mock_url(url=url, response='not a json content', status_code=200):
         resp = app.get(endpoint)
     assert resp.json['err']
     assert resp.json['err_desc'] == 'OpenDataSoft error: bad JSON response'
